function B = blockeye(dom,m)
% Block identity operator of size m by m.

% Copyright 2008 by Toby Driscoll.
% See http://www.maths.ox.ac.uk/chebfun.

%  Last commit: $Author: driscoll $: $Rev: 907 $:
%  $Date: 2009-12-04 15:49:08 +0000 (Fri, 04 Dec 2009) $:

Z = zeros(dom);  
I = eye(dom);
B = linop([],[],dom,0);

for i = 1:m
  G = linop([],[],dom,0);
  for j = 1:i-1
    G = [G Z];
  end
  G = [G I];
  for j = i+1:m
    G = [ G Z ];
  end
  B = [B; G];
end

end
